Subject: Re: bug#27975: guix sd 32b was not installed because of adwaita-icon-theme-3.24.0

From: [email-masked] (Ludovic Courtès)
Date: Mon, 21 Aug 2017 17:37:44 +0200

Hi Paul,

Paul Dufresne <[email-masked]> skribis:

> I have taken pencil notes which was probably a bit broken.
>
> I have tried to install guix sd 0.13.0 32 bit on usb key.
>
> It broke at some file, at 78% (12.8 MiB file):
> https://mirror.hydra.gnu.org/guix/nar/gzip/qs27jxbxjpvw5bv49nzw9r91hj00r12j-adaita.icon-theme-3.24.0
> well that's what I have noted but this exact file cannot be retrieved.
> this was followed by gzip error

This file was 404 due to issues with ‘guix publish’ that we discovered
and fixed last month.  This particular file is now back:

--8<---------------cut here---------------start------------->8---
$ wget -O - https://mirror.hydra.gnu.org/guix/nar/gzip/qs27jxbxjpvw5bv49nzw9r91hj00r12j-adwaita-icon-theme-3.24.0 |gunzip -c |wc -c
--2017-08-21 17:34:27--  https://mirror.hydra.gnu.org/guix/nar/gzip/qs27jxbxjpvw5bv49nzw9r91hj00r12j-adwaita-icon-theme-3.24.0
Ni solvigas mirror.hydra.gnu.org (mirror.hydra.gnu.org)... 131.159.14.26, 2001:4ca0:2001:10:225:90ff:fedb:c720
Konektado al mirror.hydra.gnu.org (mirror.hydra.gnu.org)|131.159.14.26|:443... konektita.
HTTP peto sendita, ni atendas respondon... 200 OK
Grando: 13428137 (13M) [application/octet-stream]
Ni konservas al: 'STDOUT'

-                            100%[==============================================>]  12.81M  32.1MB/s    en 0.4s    

2017-08-21 17:34:28 (32.1 MB/s) - skribita al ĉefeligujo [13428137/13428137]

28087120
--8<---------------cut here---------------end--------------->8---

> I then tried to relaunch: guix system init /mnt/etc/config.scm /mnt
> but this time with --failback (or --fallback?)
>
> this time, at first I have seen it load the adwaita gzip file... but quite
> later, it did seems to build from source,
> and this time I stop it after 25-45 mins after:
> going to copy
> 8x8
> ...
> 256x256
> Enterning directory /tmp/guix ----builds-adwaita-icon-...src/symbolic
> for size in ; do \
>  ...
> done
> for file in 'cd ../../Adwaita/scalable; find . "*.svg"'; do \
> ...
> done
>  [there I waited about 25-45 mins before doing Ctrl-C]

I’m not sure why it would hang for 45 minutes here, hard to tell.

Thanks for taking the time to write this detailed report, and I hope
you’ll eventually succeed installing GuixSD on i686.

Ludo’.